<!doctype html>
<html lang=fr>

	<head>
		<title>Sélectionner une activite</title>
		<meta name="description" content="Listes déroulantes dynamiques inter-dépendantes" />
		<meta charset=utf-8> <meta name=viewport content="width=device-width, initial-scale=1">
		<link rel="stylesheet" href="nogstyle.css">
		
	</head>

<?php		
	session_start();
	if (!isset($_SESSION['Autorisation']) or ($_SESSION['Autorisation'] > 1)or (!isset($_SESSION['spmodifiee'])))  //prof ou eleve
	{
		header("Location: index.php");
  		exit();
  	}
	?>

	<body> 	<!--"font-family: verdana, helvetica, times ; font-size: 85%"-->
		<header>
			<?php 
				include('includes/header_simple.inc');
				echo'<h3>'.$_SESSION['PrenomAct'].' '.$_SESSION['NomAct'].'&nbsp;-&nbsp; '.$_SESSION['NomEtab'].'</h3>';
				$autorisation = intval($_SESSION['Autorisation']);  // On récupère le niveau d'autorisation en entier.					
				if ($autorisation ==0)
				{
					include('includes/menu_etudiant.inc');//etudiant
				}
				elseif ($autorisation ==1)
				{
					include('includes/menu_prof.inc');
				}
				else
				{
					echo "PAGE ATTEINTE PAR ERRUER";
					header("Location: index.php"); // Si l'acteur de la session n'est pas un étudiant/prof on retourne à l'accueil'
					exit();
				}
			?>
			
			
		</header>
		
		<article>
			
			<?php	
				echo'<h2> Situation Professionnelle '.$_SESSION['spmodifiee'].':';
				echo $_SESSION['IntituleSP'];
				echo'</h2><h3>Ajouter une activite</h3>';
			?>
			<?php	
				If (isset($_POST['processus']))
				{
					$idp = $_POST['processus'];
				}
				else
				{
					$idp = null;
				}
			
				$activite_sel="";
				if(isset($_POST['ok']) && isset($_POST['activite']) && $_POST['activite'] != "")
				{
		 			$proc_sel = $_POST['processus']; //processus selectionné (1er choix)
		 			$activite_sel= $_POST['activite']; //activite selectionnée (2eme choix))
		 			if ($proc_sel >-1 && $activite_sel >-1)
		 			{
						//ajout de la activite dans la table corrrespondre
						//connect to database
						require ('connect/mysqli_connect.php');
						$q = "INSERT INTO correspondre (numSP,numActivite) VALUES ('".$_SESSION['spmodifiee']."', '$activite_sel') ;";
						$result = @mysqli_query ($dbcon, $q);
						if (mysqli_affected_rows($dbcon) <> 1) 
						{// si ca n'a pas marché c que la comp est dèjà saisie
							echo '<p class="alert echec">Cette activite a déjà été saisie. Réessayez <br/><br/>';
							echo'<a href="sp_activite_ajout.php" class="bouton10">OK</a></p>';
						}
						else
						{
							$numsp=$_SESSION['spmodifiee'];
						}
					}
					else 
					{
						echo '<p class="alert echec"> Selectionnez une activite</p>'	;			
					}
				}

				/* On établit la connexion à MySQL car on aura besoin de la connexion un peu plus loin dans le script */
				require ('connect/mysqli_connect.php');
				//on prépare la requête : on sélectionne NUM PROC ET libelle proc  DE pROCESSUS
				$req= $dbcon->prepare("SELECT NumProc,NomProc FROM processus");	
				//On execute la requête
				$req->execute();
				//On associe les résultats à des variables
				mysqli_stmt_bind_result($req, $code_proc,$lib_proc);
			?>
		
			<!--1er formulaire choix processus-->
			
			<form class="centre80" action="<?php echo($_SERVER['PHP_SELF']); ?>" method="post" id="chgcompos">
			
				<fieldset style="border: 3px double #554000; font-style: italic; font-weight: bold;">
				
					<legend>Sélectionnez un processus</legend>	
					<select name="processus" id="processus" onchange="document.forms['chgcompos'].submit();">
						<option value="-1"> Choix du processus
						<?php
				 			while ($req->fetch())// Boucle qui permet d'afficher tous les Procesus
				 			{
		       				if ($code_proc==$idp)
		       				{
		                    echo ' <option value="'.$code_proc.'" selected="selected">'.$lib_proc.'</option>  ';  //  selected="selected" si la comparaison est vrai 
		                  }
		          			else
		          			{
		                    echo '<option value="'.$code_proc.'" >'.$lib_proc.'</option>'; //On n'ajoute rien si la comparaison est fausse
		       				}
							}
						?>			
					</select>
					<br>	
					
				 	<?php		 		
						// 2eme formulaire
				
						//on prépare la requête : on sélectionne numcomp ET libelle comp  De activite where processus = processus choisi
						$req1= $dbcon->prepare("SELECT numact,libelleact FROM activite WHERE Numproc = '$idp';");
						//On execute la requête
						$req1->execute();
						//On associe les résultats à des variables
						mysqli_stmt_bind_result($req1, $code_activite,$lib_activite);
						/* Maintenant on peut construire la liste déroulante */
					?>
					
					<br>
					<legend>Sélectionnez une activite</legend>			
					<select name="activite" id="activites">
						<option value="-1"> Choix activite
						<?php
			 				while ($req1->fetch())
			 		   		echo "<option value='$code_activite'>$lib_activite</option>";
						?>			
					</select>
					<br>
				</fieldset>
				<br>
				<div style="text-align: center"><input type="submit" name="ok" id="ok" value="Ajouter" /></div>
			</form>
			<br/>
			<br/>
			
			<?php		
				//Select des activites attachées à la sp
				
				$sql2= "SELECT numActivite,libelleact FROM correspondre,activite WHERE correspondre.numActivite=activite.numact AND Numsp='".$_SESSION['spmodifiee']."';";	
				$result2 = @mysqli_query ($dbcon, $sql2)or exit('Erreur SQL ! '.$sql2. '<br />'.mysql_error());
				$NBLIGNE=@mysqli_num_rows($result2);

		
				// Get the  information:
				// Table header.
				echo '<table class="centre80">	';		
				// Afichage des activites
				if($NBLIGNE==0)
				{		
					echo '<tr><td>pas de activite associée</td></tr>';
				}
				else
				{		
					$_SESSION['page']='sp_activite_ajout.php' ;         // on récupèrele nom de la page pour le DELETE
					while ($col = mysqli_fetch_array($result2, MYSQLI_BOTH))
					{
						echo'<tr><td><a class="bouton" href="sp_act_suppr.php?activite='. $col[0].'"><span class="iconic">x</span></a></td>';
						echo '<td>'.substr($col[1],0,180).'</td></tr>';
						//echo'<br>';
					}
				}
				echo '</table>'; // Close the table.			
				echo'<div style="text-align: center"><br/><br/><a class="bouton10" href="sp_modif.php?id='.$_SESSION['spmodifiee'].'" class="bouton10">Terminer</a></p></div>	';
			?>	
		</article>
	</body>
</html>